Public Class FrmGPACalculator

    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click
        If cboGrade.Text = "" Then
            MsgBox("Please enter a grade.")
            Exit Sub
        End If
        btnGPA.Enabled = True

        lblGPA.Text = ""
        lstGrade.Items.Add(cboGrade.Text)
        lstCredits.Items.Add(nudCredits.Value)
    End Sub

    Private Sub btnGPA_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGPA.Click
        Dim i As Integer
        Dim WeightedSum As Double
        Dim CreditSum As Integer
        Dim GPA As Double

        lblGPA.Text = ""

        For i = 0 To lstGrade.Items.Count - 1
            Select Case lstGrade.Items.Item(i)
                Case "A"
                    WeightedSum += 4 * lstCredits.Items.Item(i)
                Case "A-"
                    WeightedSum += 3.667 * lstCredits.Items.Item(i)
                Case "B+"
                    WeightedSum += 3.333 * lstCredits.Items.Item(i)
                Case "B"
                    WeightedSum += 3 * lstCredits.Items.Item(i)
                Case "B-"
                    WeightedSum += 2.667 * lstCredits.Items.Item(i)
                Case "C+"
                    WeightedSum += 2.333 * lstCredits.Items.Item(i)
                Case "C"
                    WeightedSum += 2 * lstCredits.Items.Item(i)
                Case "C-"
                    WeightedSum += 1.667 * lstCredits.Items.Item(i)
                Case "D+"
                    WeightedSum += 1.333 * lstCredits.Items.Item(i)
                Case "D"
                    WeightedSum += 1 * lstCredits.Items.Item(i)
                Case "F"
                    WeightedSum += 0 * lstCredits.Items.Item(i)
            End Select
            CreditSum += lstCredits.Items.Item(i)

        Next
        GPA = WeightedSum / CreditSum
        lblGPA.Text = "GPA = " & GPA

    End Sub

    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        lstGrade.Items.Clear()
        lstCredits.Items.Clear()
        lblGPA.Text = ""
        btnGPA.Enabled = False
    End Sub

   
End Class
